/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#ifndef BACKGROUDIMAGE_H
#define BACKGROUDIMAGE_H

#include <QString>

class backgroudImage
{
public:
    backgroudImage( const QString &url );
    void setBackground(QImage &image);
    static QString windowManager;

private:
    QString detectWM();
#ifdef Q_WS_MAEMO_5
    int ask_which_desktop_dialog();
    void setMaemoWallpaper(int desktop, QString imageFilePath);
    int getXIntProperty (const char *propertyName);
    QImage inscribeImageIntoDesktopSize(QSize desktopSize, QImage image);
#endif
};

#endif // BACKGROUDIMAGE_H
