/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#ifndef POPUPTEXT_H
#define POPUPTEXT_H

#include <QWidget>
#include <QTextEdit>

class popupText : public QTextEdit
{
    Q_OBJECT
public:
    explicit popupText(QWidget *parent = 0);
    void showHtmlText(QString s, QRect rect);

protected:
    virtual void mousePressEvent ( QMouseEvent *e );

signals:
    void clicked();

public slots:

};

#endif // POPUPTEXT_H
